# Uses of Class
it.tdlight.jni.TdApi.PublicForward

## Uses of TdApi.PublicForward in it.tdlight.jni

Subclasses of TdApi.PublicForward in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PublicForwardMessage`
Contains a public forward as a message.
`static final class`
`TdApi.PublicForwardStory`
Contains a public repost to a story.
Fields in it.tdlight.jni declared as TdApi.PublicForward
Modifier and Type
Field
Description
`TdApi.PublicForward[]`
TdApi.PublicForwards.`forwards`
List of found public forwards and reposts.
Constructors in it.tdlight.jni with parameters of type TdApi.PublicForward
Modifier
Constructor
Description
``
`PublicForwards(int totalCount, TdApi.PublicForward[] forwards, String nextOffset)`
Represents a list of public forwards and reposts as a story of a message or a story.